<!DOCTYPE html>
<html lang="fr">
<head>
    <title>{{ page_title }} - Pastell</title>

    <meta name="description"
          content="Pastell est un logiciel de gestion de flux de documents. Les documents peuvent être crées via un système de formulaires configurables. Chaque document suit alors un workflow prédéfini, également configurable."/>
    <meta name="keywords"
          content="Pastell, collectivité territoriale, flux, document, données, logiciel, logiciel libre, open source"/>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="chrome=1">
    <base href="{{ constant('WEBSEC_BASE') }}"/>

    <link rel="shortcut icon" type="images/x-icon" href="{{ asset('favicon.ico') }}"/>

    {% set cssFiles = [
        'node_modules/bootstrap/dist/css/bootstrap.min.css',
        'node_modules/fork-awesome/css/fork-awesome.min.css',
        'node_modules/select2/dist/css/select2.min.css',
        'node_modules/jquery-ui/dist/themes/cupertino/jquery-ui.min.css',

        "img/commun.css",
        'node_modules/@libriciel/ls-bootstrap-5/pa-bootstrap.css',
        "img/bs_surcharge.css",
        "img/jquery.autocomplete.css",
        "img/jquery.treeview.css",
    ] %}
    {% block stylesheets %}
        {% for cssFile in cssFiles %}
            <link rel="stylesheet" href="{{ cssFile ~ '?rev=' ~ manifest_info.revision }}" type="text/css"/>
        {% endfor %}
    {% endblock %}

    {% set jsFiles = [
        'node_modules/jquery/dist/jquery.min.js',
        'node_modules/select2/dist/js/select2.min.js',
        'node_modules/select2/dist/js/i18n/fr.js',
        'node_modules/bootstrap/dist/js/bootstrap.bundle.min.js',
        'node_modules/jquery-ui/ui/widgets/datepicker.js',
        'node_modules/jquery-ui/ui/i18n/datepicker-fr.js',

        'node_modules/@flowjs/flow.js/dist/flow.min.js',
        "js/jquery.treeview.js",
        "js/pastell.js",
    ] %}
    {% block javascript %}
    {% for jsFile in jsFiles %}
        <script type="text/javascript" src="{{ jsFile ~ '?rev=' ~ manifest_info.revision }}"></script>
    {% endfor %}
{% endblock %}
</head>

<body>
<div id="global">
    <div id="header">
        <div id="bloc_logo">
            <div class="logo"></div>
        </div>
    </div>
    <div id="breadcrumb">
    </div>

    <div id="main" class="clearfix">

        <div id="main_droite">
            <div id="bloc_titre_bouton">
                <div id="bloc_h1">
                    <h1> {{ page_title }}</h1>
                </div>
            </div>

            {% for label, messages in app.flashes %}
                {% for message in messages %}
                    <div class="alert alert-{{ label }}">
                        {{ message }}
                    </div>
                {% endfor %}
            {% endfor %}
            {{ gabarit.render('LastMessage') }}

            {% block main %}{% endblock %}

        </div>
    </div>
</div>

{% include '_includes/footer.html.twig' %}

</body>
</html>